idf_component_register(
	SRCS 
		"main.c"
		"myTask.c"
		"platform.c"
        "led.c"
        "wifi.c"
        "udp_client.c"
        "udp_server.c"
        "udp_server_shell.c"
        "Shell.c"
        "esp32_mac.c"
        "rs485.c"
        "ping.c"
        "ping_shell.c"
        "timer.c"
        "sntp_time.c"
        "robot.c"
        "myMqtt.c"
        "challenge_app.c"
        "splitflap_wrapper.c"
        "challenge_com.c"
        "challenge_nvs.c"
        "robo_wrapper.c"
        
        INCLUDE_DIRS 
        "."
)